# Uses of Class
org.apache.sysds.runtime.matrix.operators.AggregateBinaryOperator

Packages that use AggregateBinaryOperator
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.matrix.data

## Uses of AggregateBinaryOperator in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type AggregateBinaryOperator
Modifier and Type
Method
Description
`MatrixBlock`
CompressedMatrixBlock.`aggregateBinaryOperations(MatrixBlock m1, MatrixBlock m2, MatrixBlock ret, AggregateBinaryOperator op)`
`MatrixBlock`
CompressedMatrixBlock.`aggregateBinaryOperations(MatrixBlock m1, MatrixBlock m2, MatrixBlock ret, AggregateBinaryOperator op, boolean transposeLeft, boolean transposeRight)`

## Uses of AggregateBinaryOperator in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions that return AggregateBinaryOperator
Modifier and Type
Method
Description
`static AggregateBinaryOperator`
InstructionUtils.`getMatMultOperator(int k)`

## Uses of AggregateBinaryOperator in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type AggregateBinaryOperator
Modifier and Type
Method
Description
`MatrixBlock`
MatrixBlock.`aggregateBinaryOperations(MatrixBlock m1, MatrixBlock m2, MatrixBlock ret, AggregateBinaryOperator op)`
`final MatrixBlock`
MatrixBlock.`aggregateBinaryOperations(MatrixBlock m1, MatrixBlock m2, AggregateBinaryOperator op)`
`static MatrixBlock`
OperationsOnMatrixValues.`matMult(MatrixBlock value1, MatrixBlock value2, MatrixBlock valueOut, AggregateBinaryOperator op)`
`static MatrixBlock`
OperationsOnMatrixValues.`matMult(MatrixBlock value1, MatrixBlock value2, AggregateBinaryOperator op)`
`static MatrixBlock`
OperationsOnMatrixValues.`matMult(MatrixIndexes indexes1, MatrixBlock value1, MatrixIndexes indexes2, MatrixBlock value2, MatrixIndexes indexesOut, MatrixBlock valueOut, AggregateBinaryOperator op)`